/*----------------------------------------------------
Author  : Mark Harvey
Created : 20.02.2017
Version : 1.0

Example design for memory initialisation

----------------------------------------------------*/

`timescale 1ps/1ps


module top_mem (
     input logic          CLK,
     input logic  [3:0]   ADDRESS,                      
     output logic [15:0]  DATA
   );

  
  /*----------------------------------------------------
    Single port ROM: 16 words x 16bit
  ----------------------------------------------------*/

    spROM #(16, 16, "my_init_file.mif") U0 (
    .CLK     (CLK        ),
    .ADDRESS (ADDRESS    ),
    .DATAOUT (DATA       )
    );

   
endmodule : top_mem
/*----------------------------------------------------
 End of file: top_mem.sv
----------------------------------------------------*/
